curl --request POST \
--url https://developer.synq.io/api/entities/custom/v1/types \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": {
"typeId": 500,
"name": "<string>",
"svgIcon": "aSDinaTvuI8gbWludGxpZnk=",
"workspace": "<string>",
"svgIconId": "<string>",
"createdAt": "2023-01-15T01:30:15.01Z",
"updatedAt": "2023-01-15T01:30:15.01Z",
"deletedAt": "2023-01-15T01:30:15.01Z",
"traits": {
"isModel": true,
"isSource": true,
"isBiLike": true,
"isTestType": true,
"isIgnoredInLineage": true
}
},
"allowRename": true
}
'import requests
url = "https://developer.synq.io/api/entities/custom/v1/types"
payload = {
"type": {
"typeId": 500,
"name": "<string>",
"svgIcon": "aSDinaTvuI8gbWludGxpZnk=",
"workspace": "<string>",
"svgIconId": "<string>",
"createdAt": "2023-01-15T01:30:15.01Z",
"updatedAt": "2023-01-15T01:30:15.01Z",
"deletedAt": "2023-01-15T01:30:15.01Z",
"traits": {
"isModel": True,
"isSource": True,
"isBiLike": True,
"isTestType": True,
"isIgnoredInLineage": True
}
},
"allowRename": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: {
typeId: 500,
name: '<string>',
svgIcon: 'aSDinaTvuI8gbWludGxpZnk=',
workspace: '<string>',
svgIconId: '<string>',
createdAt: '2023-01-15T01:30:15.01Z',
updatedAt: '2023-01-15T01:30:15.01Z',
deletedAt: '2023-01-15T01:30:15.01Z',
traits: {
isModel: true,
isSource: true,
isBiLike: true,
isTestType: true,
isIgnoredInLineage: true
}
},
allowRename: true
})
};
fetch('https://developer.synq.io/api/entities/custom/v1/types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://developer.synq.io/api/entities/custom/v1/types",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'type' => [
'typeId' => 500,
'name' => '<string>',
'svgIcon' => 'aSDinaTvuI8gbWludGxpZnk=',
'workspace' => '<string>',
'svgIconId' => '<string>',
'createdAt' => '2023-01-15T01:30:15.01Z',
'updatedAt' => '2023-01-15T01:30:15.01Z',
'deletedAt' => '2023-01-15T01:30:15.01Z',
'traits' => [
'isModel' => true,
'isSource' => true,
'isBiLike' => true,
'isTestType' => true,
'isIgnoredInLineage' => true
]
],
'allowRename' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://developer.synq.io/api/entities/custom/v1/types"
payload := strings.NewReader("{\n \"type\": {\n \"typeId\": 500,\n \"name\": \"<string>\",\n \"svgIcon\": \"aSDinaTvuI8gbWludGxpZnk=\",\n \"workspace\": \"<string>\",\n \"svgIconId\": \"<string>\",\n \"createdAt\": \"2023-01-15T01:30:15.01Z\",\n \"updatedAt\": \"2023-01-15T01:30:15.01Z\",\n \"deletedAt\": \"2023-01-15T01:30:15.01Z\",\n \"traits\": {\n \"isModel\": true,\n \"isSource\": true,\n \"isBiLike\": true,\n \"isTestType\": true,\n \"isIgnoredInLineage\": true\n }\n },\n \"allowRename\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://developer.synq.io/api/entities/custom/v1/types")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"type\": {\n \"typeId\": 500,\n \"name\": \"<string>\",\n \"svgIcon\": \"aSDinaTvuI8gbWludGxpZnk=\",\n \"workspace\": \"<string>\",\n \"svgIconId\": \"<string>\",\n \"createdAt\": \"2023-01-15T01:30:15.01Z\",\n \"updatedAt\": \"2023-01-15T01:30:15.01Z\",\n \"deletedAt\": \"2023-01-15T01:30:15.01Z\",\n \"traits\": {\n \"isModel\": true,\n \"isSource\": true,\n \"isBiLike\": true,\n \"isTestType\": true,\n \"isIgnoredInLineage\": true\n }\n },\n \"allowRename\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://developer.synq.io/api/entities/custom/v1/types")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"type\": {\n \"typeId\": 500,\n \"name\": \"<string>\",\n \"svgIcon\": \"aSDinaTvuI8gbWludGxpZnk=\",\n \"workspace\": \"<string>\",\n \"svgIconId\": \"<string>\",\n \"createdAt\": \"2023-01-15T01:30:15.01Z\",\n \"updatedAt\": \"2023-01-15T01:30:15.01Z\",\n \"deletedAt\": \"2023-01-15T01:30:15.01Z\",\n \"traits\": {\n \"isModel\": true,\n \"isSource\": true,\n \"isBiLike\": true,\n \"isTestType\": true,\n \"isIgnoredInLineage\": true\n }\n },\n \"allowRename\": true\n}"
response = http.request(request)
puts response.read_body{}UpsertType
Create or update a custom entity type. A type is identified by its type_id
in the workspace: an existing type with the same id and name is replaced,
otherwise a new one is created. Upserting a deleted type restores it, under
any name. If a live type already uses the type_id under another name, the
call fails with ALREADY_EXISTS and the type is left unchanged, unless
allow_rename is set.
curl --request POST \
--url https://developer.synq.io/api/entities/custom/v1/types \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": {
"typeId": 500,
"name": "<string>",
"svgIcon": "aSDinaTvuI8gbWludGxpZnk=",
"workspace": "<string>",
"svgIconId": "<string>",
"createdAt": "2023-01-15T01:30:15.01Z",
"updatedAt": "2023-01-15T01:30:15.01Z",
"deletedAt": "2023-01-15T01:30:15.01Z",
"traits": {
"isModel": true,
"isSource": true,
"isBiLike": true,
"isTestType": true,
"isIgnoredInLineage": true
}
},
"allowRename": true
}
'import requests
url = "https://developer.synq.io/api/entities/custom/v1/types"
payload = {
"type": {
"typeId": 500,
"name": "<string>",
"svgIcon": "aSDinaTvuI8gbWludGxpZnk=",
"workspace": "<string>",
"svgIconId": "<string>",
"createdAt": "2023-01-15T01:30:15.01Z",
"updatedAt": "2023-01-15T01:30:15.01Z",
"deletedAt": "2023-01-15T01:30:15.01Z",
"traits": {
"isModel": True,
"isSource": True,
"isBiLike": True,
"isTestType": True,
"isIgnoredInLineage": True
}
},
"allowRename": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: {
typeId: 500,
name: '<string>',
svgIcon: 'aSDinaTvuI8gbWludGxpZnk=',
workspace: '<string>',
svgIconId: '<string>',
createdAt: '2023-01-15T01:30:15.01Z',
updatedAt: '2023-01-15T01:30:15.01Z',
deletedAt: '2023-01-15T01:30:15.01Z',
traits: {
isModel: true,
isSource: true,
isBiLike: true,
isTestType: true,
isIgnoredInLineage: true
}
},
allowRename: true
})
};
fetch('https://developer.synq.io/api/entities/custom/v1/types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://developer.synq.io/api/entities/custom/v1/types",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'type' => [
'typeId' => 500,
'name' => '<string>',
'svgIcon' => 'aSDinaTvuI8gbWludGxpZnk=',
'workspace' => '<string>',
'svgIconId' => '<string>',
'createdAt' => '2023-01-15T01:30:15.01Z',
'updatedAt' => '2023-01-15T01:30:15.01Z',
'deletedAt' => '2023-01-15T01:30:15.01Z',
'traits' => [
'isModel' => true,
'isSource' => true,
'isBiLike' => true,
'isTestType' => true,
'isIgnoredInLineage' => true
]
],
'allowRename' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://developer.synq.io/api/entities/custom/v1/types"
payload := strings.NewReader("{\n \"type\": {\n \"typeId\": 500,\n \"name\": \"<string>\",\n \"svgIcon\": \"aSDinaTvuI8gbWludGxpZnk=\",\n \"workspace\": \"<string>\",\n \"svgIconId\": \"<string>\",\n \"createdAt\": \"2023-01-15T01:30:15.01Z\",\n \"updatedAt\": \"2023-01-15T01:30:15.01Z\",\n \"deletedAt\": \"2023-01-15T01:30:15.01Z\",\n \"traits\": {\n \"isModel\": true,\n \"isSource\": true,\n \"isBiLike\": true,\n \"isTestType\": true,\n \"isIgnoredInLineage\": true\n }\n },\n \"allowRename\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://developer.synq.io/api/entities/custom/v1/types")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"type\": {\n \"typeId\": 500,\n \"name\": \"<string>\",\n \"svgIcon\": \"aSDinaTvuI8gbWludGxpZnk=\",\n \"workspace\": \"<string>\",\n \"svgIconId\": \"<string>\",\n \"createdAt\": \"2023-01-15T01:30:15.01Z\",\n \"updatedAt\": \"2023-01-15T01:30:15.01Z\",\n \"deletedAt\": \"2023-01-15T01:30:15.01Z\",\n \"traits\": {\n \"isModel\": true,\n \"isSource\": true,\n \"isBiLike\": true,\n \"isTestType\": true,\n \"isIgnoredInLineage\": true\n }\n },\n \"allowRename\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://developer.synq.io/api/entities/custom/v1/types")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"type\": {\n \"typeId\": 500,\n \"name\": \"<string>\",\n \"svgIcon\": \"aSDinaTvuI8gbWludGxpZnk=\",\n \"workspace\": \"<string>\",\n \"svgIconId\": \"<string>\",\n \"createdAt\": \"2023-01-15T01:30:15.01Z\",\n \"updatedAt\": \"2023-01-15T01:30:15.01Z\",\n \"deletedAt\": \"2023-01-15T01:30:15.01Z\",\n \"traits\": {\n \"isModel\": true,\n \"isSource\": true,\n \"isBiLike\": true,\n \"isTestType\": true,\n \"isIgnoredInLineage\": true\n }\n },\n \"allowRename\": true\n}"
response = http.request(request)
puts response.read_body{}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Custom entity type to create or update.
Show child attributes
Show child attributes
Rename a live type that uses the same type_id under another name, instead
of failing with ALREADY_EXISTS. Set it only for a type you own: the
check is what stops two integrations that picked the same type_id from
overwriting each other.
Response
Success
The response is of type UpsertTypeResponse · object.